<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Aerolinea{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro

public function insertar($nombre,$nrolinea,$identificador,$rif){
	$sql="INSERT INTO linea (nombre,nrolinea,identificador,rif,condicion) VALUES ('$nombre','$nrolinea','$identificador','$rif','1')";
    return ejecutarConsulta($sql);
}

public function editar($idlinea,$nombre,$nrolinea,$identificador,$rif){
	$sql="UPDATE linea SET nombre='$nombre',nrolinea='$nrolinea',identificador='$identificador',rif='$rif' 
	WHERE idlinea='$idlinea'";
	return ejecutarConsulta($sql);
}
public function desactivar($idlinea){
	$sql="UPDATE linea SET condicion='0' WHERE idlinea='$idlinea'";
	return ejecutarConsulta($sql);
}
public function activar($idlinea){
	$sql="UPDATE linea SET condicion='1' WHERE idlinea='$idlinea'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idlinea){
	$sql="SELECT * FROM linea WHERE idlinea='$idlinea'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar registros
public function buscarlinea($nrolinea){
	$sql="SELECT * FROM linea WHERE nrolinea='$nrolinea'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM linea";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM linea WHERE condicion=1";
	return ejecutarConsulta($sql);
}

//listar y mostrar en selct
public function selectLinea(){
	$sql="SELECT * FROM linea WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>